## openafs 1.2.9-0.woody1

=== debian/changelog ===
openafs (1.2.9-0.woody1) unstable; urgency=low

  * Literal newline fixes, Closes: #175627
  * Require new kernel modules per upstream change.
  * New upstream version
  * Fix section of libopenafs-dev to libdevel
  * openafs-client stop should shut down afsd if it is running even if afs
    not mounted, Closes: #188000
      * Fix to build on alpha again; PAM patch was broken
  * Report i386_linux24 not linux22 on i386, Closes: #187789
  * Convert to po-debconf, patch from Andre Luis Lopes, CLoses: #187901
  * Fix from Lamont to build on hppa, Closes: #179679

 -- Sam Hartman <hartmans@debian.org>  Sun, 13 Apr 2003 17:21:54 -0400

openafs (1.2.8-4) unstable; urgency=low

  * Fix from Eduard Bloch to compile on kernels with variable numbers of
    CPUs; he is not sure it actually works yet though, Closes: #178505
  * Patch that might possibly fix the fails to build on recent unstable;
    definitely fixes a bug in include path handling, but I am not sure it
    is a correct patch since I cannot reproduce the problem, Closes: #178154

 -- Sam Hartman <hartmans@debian.org>  Sun,  2 Feb 2003 14:08:14 -0500

openafs (1.2.8-3) unstable; urgency=medium

  * Patch from Eduard Bloch <blade@debian.org> to build the PAM module for
    kaserver users; the main thing this patch does in create a bunch of
    PIC object files so it is a policy-conformant shared library, Closes:
    #174668 
  * Do not include -I/usr/include and especially -I/usr/include/sys in the
    PAM Makefile so gcc 3.2 works; already fixed upstream, Closes: #176538

 -- Sam Hartman <hartmans@debian.org>  Sun, 19 Jan 2003 17:44:53 -0500

openafs (1.2.8-2) unstable; urgency=low

  * Convert v5 principal names to v4 style names in rxkad 2b.  Especially
    important for rcmd vs host
  * Fix debian/rules clean to remove  generated files, Closes: #174625
  * Fix AFS not to declare errno, Closes: #174059

 -- Sam Hartman <hartmans@debian.org>  Fri,  3 Jan 2003 15:28:30 -0500

openafs (1.2.8-1) unstable; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Tue, 10 Dec 2002 23:43:46 -0500

openafs (1.2.7-3) unstable; urgency=low

  * Apparently OpenAFS and  ircd conflict on a UDP port, so you can't use
    both at once, Closes: #150242
  * Patch from seph to add -nosettime when ntp is installed, Closes: #155123
  * Fix bosserver  shutdown on restart after upgrade, Closes :#155586
  * Install translate_et, Closes: #138672
  * Allow byacc instead of bison
  
 -- Sam Hartman <hartmans@debian.org>  Tue,  3 Dec 2002 22:30:44 -0500

openafs (1.2.7-2) unstable; urgency=low

  * Fix uss to build with bison 1.50 and 1.75 so we can throw away the
    resulting binaries, Closes: #164366
  * Evaluate all limited range of comparison warnings; a warning in
    rxkad_client.c remains but is harmless, other warnings pointed to
    potential problems that were fixed, Closes: #162754
  * Fix s390 modules to actually build, Closes: #162772

 -- Sam Hartman <hartmans@debian.org>  Sun, 20 Oct 2002 15:20:19 -0400

openafs (1.2.7-1) unstable; urgency=low

  * Fix typo in templates, Closes: #150356fg
  
  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Thu, 26 Sep 2002 16:11:25 -0400

New upstream version
 --

openafs (1.2.6-1) unstable; urgency=low


  * New upstream version
  * Update CellServDB, Closes: #154893
  * Add debconf support for fakestat
  * Patch from Sergio Gelato to avoid use of host, Closes: #144264
  * Install sys because it was requested
  * Fix version string, Closes: #153136
 -- Sam Hartman <hartmans@debian.org>  Fri,  2 Aug 2002 17:33:11 -0400

openafs (1.2.5-1) unstable; urgency=low

  * New upstream version.

 -- Sam Hartman <hartmans@debian.org>  Mon, 10 Jun 2002 08:09:05 -0400

openafs (1.2.4-1) unstable; urgency=low

  * New upstream version
  * Now builds for ia64, closes: #142287
  * Now works again with 2.2 kernels, thanks to upstream fix, closes: #140187
  * openafs-modules-source depends on kernel-package, Closes: #137169
  * Fix typo in readme.modules, Closes: #148155

 -- Sam Hartman <hartmans@debian.org>  Sun,  2 Jun 2002 17:54:42 -0400

openafs (1.2.3final2-5) unstable; urgency=medium

  * Fix subarch handling, closes: #139662
  * Update module control files to use  net not non-us

 -- Sam Hartman <hartmans@debian.org>  Thu, 18 Apr 2002 13:13:16 -0400

openafs (1.2.3final2-4) unstable; urgency=low

  * Move from non-us to main.
  * Fix ultrasparc 2.4 build to actually work.

 -- Sam Hartman <hartmans@debian.org>  Sat, 16 Mar 2002 15:33:33 -0500

openafs (1.2.3final2-3) unstable; urgency=medium

  * Oops, install backup

 -- Sam Hartman <hartmans@debian.org>  Thu,  7 Mar 2002 08:12:34 -0500

openafs (1.2.3final2-2) unstable; urgency=low

  * Add dynroot support to debconf; currently no support for creating
    CellAliases  automatically
  * Don't call depmod since we call update-modules, closes: #132851
  * Add hppa to debian/sysname, process.c patch from Lamont, closes: #134173

 -- Sam Hartman <hartmans@debian.org>  Mon, 25 Feb 2002 15:45:32 -0500

openafs (1.2.3final2-1) unstable; urgency=low

  * Upstream released a new version that they call 1.2.3 after things were
    tagged  in the Debian repository.

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Jan 2002 16:59:04 -0500

openafs (1.2.3final-1) unstable; urgency=low

  * New upstream release
  * Add support for fs setcrypt in debconf; by default traffic is encrypted.

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Jan 2002 10:46:46 -0500

openafs (1.2.3candidate3-1) unstable; urgency=low

  *  New  upstream release candidate
  * Use different version number format; people who installed rc1 will
    need to upgrade manually.  Sorry, but rc1 was never uploaded to Debian.
  * Support sparc_linux24

 -- Sam Hartman <hartmans@debian.org>  Sun, 27 Jan 2002 19:57:04 -0500

openafs (1.2.3.candidate1-1) unstable; urgency=low

  *  New upstream release candidate
  * Add ia64 as a potential architecture


