## openafs 1.2.13-1+cclub.014

=== debian/changelog ===
openafs (1.2.13-1+cclub.014) unstable; urgency=low

  * Reintroduced e2fslibs-dev as a build dependency.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Thu, 17 Feb 2005 16:04:14 -0500

openafs (1.2.13-1+cclub.013) unstable; urgency=high

  * Synced with opeanfs 1.2.13-1.
  * Alpha Linux uses viced instead of tviced.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Tue, 04 Jan 2005 13:21:45 -0500

openafs (1.2.11-3+cclub.012) unstable; urgency=low

  * Implemented Hartman's PIC patch to build on alpha.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Tue, 19 Oct 2004 17:42:06 -0400

openafs (1.2.11-3+cclub.011) unstable; urgency=low

  * Reverted package name back to openafs.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 11 Oct 2004 17:29:55 -0400

openafs-cclub (1.2.11-011) unstable; urgency=low

  * Initial release.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Tue, 28 Sep 2004 16:27:42 -0400

openafs (1.2.13-1) unstable; urgency=high

  * New CellServDB
  * New upstream version.

 -- Sam Hartman <hartmans@debian.org>  Tue,  2 Nov 2004 15:42:15 -0500

openafs (1.2.12-1) unstable; urgency=medium

  * New upstream version
  * Medium urgency because this version fixes a significant server crash
    bug.  Windows clients, particularly greater than version 1.3.70 tend
    to crash openafs servers.
  * Cause openafs-kpasswd to conflict  with kerberos4kth-clients, Closes:
    #277844 
  * Conflict between libopenafs-dev and arla-dev, Closes: #274788

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Oct 2004 16:21:29 -0400

openafs (1.2.11-3) unstable; urgency=high

  * Now that libopenafs-dev contains binaries, it should have shared
    library dependencies, Closes: #267509
  * New fr.po from Christian Perrier, Closes: #237098

 -- Sam Hartman <hartmans@debian.org>  Tue, 24 Aug 2004 12:10:02 -0400

openafs (1.2.11-2) unstable; urgency=low

  * Install rxgen
  * Install upserver and upclient
  * Mark as version 1.2.11, Closes: #255883

 -- Sam Hartman <hartmans@debian.org>  Thu, 12 Aug 2004 14:27:39 -0400

openafs (1.2.11-1) unstable; urgency=high

  * Versions prior to 1.2.10 stopped working with multiple servers in a
    cell because of a ubik bug prompting the 1.2.11 release.
  * Fix afs startup script not to start afsd if already running; really
    fixed in 1.2.10-3, but not documented, Closes: #219702

 -- Sam Hartman <hartmans@debian.org>  Sat, 10 Jan 2004 16:37:33 -0500

openafs (1.2.10-3) unstable; urgency=low

  * Fix Openafs not to include kernel headers from /usr/include,
  Closes: #220600 
  * Fix typo in openafs templates, Closes: #215714
  * New French translations, Closes: #216158
  * Build-depend on e2fslibs-dev to get appropriate headers

 -- Sam Hartman <hartmans@debian.org>  Thu, 20 Nov 2003 16:02:45 -0500

openafs (1.2.10-2) unstable; urgency=low

  * New Brazilian Portuguese (pt_BR) translations, Closes: #208035
  * Don't conflict with ircd, Closes: #204865
  * Fix wording of question about using dynroot, Closes: #209332
  * New French debconf translations, sorry about the delay in including these, Closes: #203608
  * Avoid yes/no construction in openafs-client templates, Closes: #198476
  * Fix libpam-openafs-kaserver to include the symbols it needs, patch
    from Daniel Joseph Barnhart Clark , Closes: #194818

 -- Sam Hartman <hartmans@debian.org>  Mon, 13 Oct 2003 00:38:42 -0400

openafs (1.2.10-1) unstable; urgency=low

  * New upstream version
  * net/*.h included properly by kernel module, Closes: #204642
  * Don't build libafsrpc or libafsauthent, as we can't exactly use them
    because they contain non-pic code, Closes: #203456
  * I think I finally build the PAM module on hppa, Closes: #179679
  * Decnet includes should work now because of the change of the net
    symlink, Closes: #204486
  * Escape $ in debian/rules, Closes: #204185

 -- Sam Hartman <hartmans@debian.org>  Sun, 24 Aug 2003 18:03:21 -0400

openafs (1.2.9-3) unstable; urgency=low

  * Add support for kernel headers, thanks to Patrick Sodre, 
    Closes: #173137 
  * Add patch to support the Debian 2.4.21 Kernel sources, thanks to amu,
    Closes: #198774
  * Add chronyd to list of programs we assume set the clock, thanks RISKO
    Gergely, Closes: #201725
  * Fix template formatting (extra leading spaces), Closes: #198477
  * New French translations, thanks Christian Perrier, Closes: #198719
  * Fix PAM problem on hppa, Closes: #179679
  * Don't translate defaults: Closes: #198384
  * Fix movefiles error handling and errors exposed by this change.  The
    contents of libopenafs-dev  were somewhat wrong because of this.
  * Make /usr/src/modules root.src 775, Closes: #201733

 -- Sam Hartman <hartmans@debian.org>  Sat, 26 Jul 2003 18:03:31 -0400

openafs (1.2.9-2) unstable; urgency=low

  * Fix   to not build PAM krb since we don't install it and it breaks alpha, Closes: #189548
  * Don't install pagsh man page symlink since we no longer link to
    undocumented, Closes: #189860

 -- Sam Hartman <hartmans@debian.org>  Mon, 21 Apr 2003 21:05:51 -0400

openafs (1.2.9-1) unstable; urgency=low

  * Literal newline fixes, Closes: #175627
  * Require new kernel modules per upstream change.
  * New upstream version
  * Fix section of libopenafs-dev to libdevel
  * openafs-client stop should shut down afsd if it is running even if afs
    not mounted, Closes: #188000
      * Fix to build on alpha again; PAM patch was broken
  * Report i386_linux24 not linux22 on i386, Closes: #187789
  * Convert to po-debconf, patch from Andre Luis Lopes, CLoses: #187901
  * Fix from Lamont to build on hppa, Closes: #179679

 -- Sam Hartman <hartmans@debian.org>  Sun, 13 Apr 2003 17:21:54 -0400
