=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper , libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl
+Maintainer: Mike Kasick <mkasick@club.cc.cmu.edu>
+Build-Depends: debhelper (>= 4.1.16), libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl, e2fslibs-dev
 Standards-Version: 3.5.0
 
 Package: openafs-client
@@ -21,7 +21,7 @@
 Priority: extra
 Architecture: i386 powerpc sparc alpha  s390 ia64 hppa
 Depends: ${shlibs:Depends}, openafs-client (= ${Source-Version})
-Conflicts: krb5-user, heimdal-clients
+Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
 Description: The AFS distributed filesystem- old password changing
  AFS is a distributed filesystem allowing cross-platform sharing of
  files among multiple computers.  Facilities are provided for access
@@ -35,7 +35,6 @@
 Package: openafs-fileserver
 Architecture: i386 powerpc sparc alpha s390 ia64 hppa
 Depends: ${shlibs:Depends}, debconf, openafs-client (= ${Source-Version})
-Conflicts: ircd
 Recommends: ntp
 Description: The AFS distributed filesystem- file server
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -64,6 +63,8 @@
 Section: libdevel
 Architecture: i386 powerpc sparc alpha s390 ia64 hppa
 Priority: extra
+Conflicts: arla-dev
+Depends: ${shlibs:Depends}
 Description: The AFS distributed filesystem- development libraries
  AFS is a distributed filesystem allowing cross-platform sharing of
  files among multiple computers.  Facilities are provided for access
@@ -74,7 +75,7 @@
 
 Package: openafs-modules-source
 Priority: extra
-Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package
+Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package, e2fslibs-dev
 Architecture: all
 Description: The AFS distributed filesystem- Module Sources
  AFS is a distributed filesystem allowing cross-platform sharing of
