=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,7 @@
 export DH_OPTIONS
 
 # The AFS sysname is determined by a script
-KVERS=`awk '{ if (NR==1) v=$$3; else if (NR==2) p=$$3; else if (NR==3) s=$$3; \
-       else if (NR==4) { e=$$3; exit; } } \
-       END { printf("%s.%s.%s%s\n",v,p,s,e); }' $(KSRC)/Makefile`
+KVERS=`perl -e '$$_ = <>; $$_ =~ m/"(.+)"/; print "$$1\n";' < $(KSRC)/include/linux/version.h`
 SYS_NAME=$(shell KVERS=$(KVERS) sh debian/sysname)
 package=openafs
 srcpkg = openafs-modules-source
@@ -101,6 +99,8 @@
 	# No, includes should not have the x bit set
 	find debian/libopenafs-dev/usr/include -type f -print | \
 		xargs chmod a-x
+	rm debian/libopenafs-dev/usr/include/des.h
+	rm debian/libopenafs-dev/usr/lib/libdes.a
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -119,8 +119,7 @@
 	dh_installcron
 #	dh_installmanpages
 	dh_installinfo
-	dh_undocumented
-	dh_installchangelogs   ChangeLog
+	dh_installchangelogs
 	dh_link
 	dh_compress
 	dh_fixperms
@@ -144,13 +143,12 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 25 18
+	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 18
 	DH_OPTIONS= dh_installinit -popenafs-fileserver -r
 	dh_installcron
 #	dh_installmanpages
 	dh_installinfo
-	dh_undocumented
-	dh_installchangelogs   ChangeLog
+	dh_installchangelogs
 	dh_strip
 	dh_link
 	dh_compress
@@ -163,7 +161,7 @@
 	dh_suidregister
 	dh_installdeb
 #	dh_makeshlibs
-#	dh_perl
+#	dh_perlc
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
@@ -210,10 +208,11 @@
 		$(MAKE) -f debian/rules clean && \
 	rm -rf src/libafs/rx src/libafs/afs src/libafs/afsint; \
 		mv debian/kern-sysname debian/sysname)
-	chown -R root.root debian/$(srcpkg)
+	chown -R root.src debian/$(srcpkg)
 	find debian/$(srcpkg) -type d | xargs chmod 755
 	find debian/$(srcpkg) -type f -perm -100 | xargs chmod 755
 	find debian/$(srcpkg) -type f -not -perm -100 | xargs chmod 644
+	chmod 775 debian/$(srcpkg)/usr/src/modules
 	cd debian/$(srcpkg)/usr/src && \
 	  tar cf $(package).tar modules && \
 	  $(RM) -r modules/$(package)
@@ -245,3 +244,4 @@
 		debian/$(modulepkg)/lib/modules/$(KVERS)/fs
 # Fix some stuff up
 	install -d -o root -g root -m 755 debian/$(modulepkg)/usr/share/doc
+	ln -s openafs-client debian/$(modulepkg)/usr/share/doc/$(modulepkg)
