## openafs 1.4.6.dfsg1

=== xdm/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/88 1995/12/08 16:33:13 gildea $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sgi.cf to change

# platform:  $XConsortium: sgi.cf,v 1.43 94/06/03 21:38:45 matt Exp $

# operating system:				IRIX

        OPTIMIZER = -O2

           MANUSR = /usr/share/local

       CATMAN1DIR = $(MANUSR)/catman/u_man/cat1
       CATMAN3DIR = $(MANUSR)/catman/p_man/cat3
          MAN1DIR = $(MANUSR)/man/u_man/man1
          MAN3DIR = $(MANUSR)/man/p_man/man3

       MANPACKAGE = /X11

# $XConsortium: sgiLib.rules,v 1.8 93/09/11 17:59:30 rws Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $

          PATHSEP = /
            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/include
        USRLIBDIR = /usr/lib
         SHLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(CATMAN1DIR)$(MANPACKAGE)
        LIBMANDIR = $(CATMAN3DIR)$(MANPACKAGE)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = $(TOOLROOT)/usr/bin/ar cq
  BOOTSTRAPCFLAGS = $(OPTIMIZER)
               CC = $(TOOLROOT)/usr/bin/cc
               AS = $(TOOLROOT)/usr/bin/as

.SUFFIXES: .cxx

              CXX = CC
    CXXDEBUGFLAGS = $(OPTIMIZER)
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -DSYSV -DSVR4 -nostdinc -I$(ROOT)/usr/include
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = $(TOOLROOT)/usr/bin/cc -E $(STD_CPP_DEFINES)
          INSTALL = bsdinst
     INSTALLFLAGS = -c
               LD = $(TOOLROOT)/usr/bin/ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
               LN = ln -s

               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff -t
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES = -nostdinc -I$(ROOT)/usr/include
  STD_CPP_DEFINES = -DSYSV -DSVR4
      STD_DEFINES = -DSYSV -DSVR4
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

    PROTO_DEFINES = -DFUNCPROTO=7 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 2755 -g sys

      CDEBUGFLAGS = $(OPTIMIZER)
        CCOPTIONS = -xansi -32   -Wf,-XNh2000

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB =
        LDPOSTLIB = -nostdlib  -L$(ROOT)$(SHLIBDIR)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sgi.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			$(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/bin/X11
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = 			/var/X11/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# Supporting dynamic shared object libraries for IRIX 5.0

# These defines mimic what is in /usr/include/make/commondefs
# (Should be in sync with Revision 1.99)

       DSOREGFILE = $$ROOT$(SHLIBDIR)/so_locations
      DSOSTARTOPT = -update_registry $(DSOREGFILE)
       DSONAMEOPT = -soname $@
       DSOVERSION = sgi1.0
    DSOVERSIONOPT = -set_version $(DSOVERSION)
        LDDSOOPTS = -32  -no_unresolved -shared $(VLDDSOOPTS) \
  $(LLDDSOOPTS) $(GLDDSOOPTS)
       GLDDSOOPTS = -all $(DSOSTARTOPT) $(DSONAMEOPT) $(DSOVERSIONOPT)

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = .1
DEPXONLYLIB =  $(ROOT)$(SHLIBDIR)/libX11.so$(SOXLIBREV)
XONLYLIB =  -lX11

LINTXONLY =  $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV =
DEPEXTENSIONLIB =  $(ROOT)$(SHLIBDIR)/libXext.so$(SOXEXTREV)
EXTENSIONLIB =  -lXext

LINTEXTENSION =  $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB =  $(ROOT)$(SHLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH =  $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB =  $(ROOT)$(SHLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP =  $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV =
DEPXMULIB =  $(ROOT)$(SHLIBDIR)/libXmu.so$(SOXMUREV)
XMULIB =  -lXmu

LINTXMU =  $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB =  $(ROOT)$(SHLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX =  $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV =
DEPXTOOLONLYLIB =  $(ROOT)$(SHLIBDIR)/libXt.so$(SOXTREV)
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY =  $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = .2
DEPXAWLIB =  $(ROOT)$(SHLIBDIR)/libXaw.so$(SOXAWREV)
XAWLIB =  -lXaw

LINTXAW =  $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =  $(ROOT)$(SHLIBDIR)/libXtf.so$(SOXTFREV)
XTFLIB =  -lXtf

LINTXTF =  $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =  $(ROOT)$(SHLIBDIR)/libFresco.so$(SOFRESCOREV)
FRESCOLIB =  -lFresco

LINTFRESCO =  $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV =
DEPXILIB =  $(ROOT)$(SHLIBDIR)/libXi.so$(SOXINPUTREV)
XILIB =  -lXi

LINTXI =  $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

DEPXTESTLIB =  $(ROOT)$(SHLIBDIR)/libXtst.a
XTESTLIB =  -lXtst

LINTXTEST =  $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

DEPPEXLIB =  $(ROOT)$(SHLIBDIR)/libPEX5.a
PEXLIB =  -lPEX5

LINTPEX =  $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

DEPXIELIB =  $(ROOT)$(SHLIBDIR)/libXIE.a
XIELIB =  -lXIE

LINTXIE =  $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB =  $(ROOT)$(SHLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS =  $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB =  $(ROOT)$(SHLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD =  $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV =
DEPICELIB =  $(ROOT)$(SHLIBDIR)/libICE.so$(SOICEREV)
ICELIB =  -lICE

LINTICE =  $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV =
DEPSMLIB =  $(ROOT)$(SHLIBDIR)/libSM.so$(SOSMREV)
SMLIB =  -lSM

LINTSM =  $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB =  $(ROOT)$(SHLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS =  $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB =  $(ROOT)$(SHLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT =  $(LINTLIBDIR)/llib-lfont.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

# -----------------------------------------------------------------------
# start of Imakefile

# $XConsortium: Imakefile /main/81 1996/10/22 18:32:26 kaleb $

# You'll have to adjust POSIX_SIGNALS and POSIX_SETJMP to your system
KRB5_DEFINES=-DKRB5LOGIN -DAFSPAG -DPOSIX_SIGNALS=1 -DPOSIX_SETJMP=1 -DAKLOG_PATH=\"/usr/krb5/bin/aklog\" $(SIGNAL_DEFINES) -DNRL
