## openafs 1.4.8-maemo1

=== debian/changelog ===
openafs (1.4.8-maemo1) unstable; urgency=low

  * upgraded to new openafs version.

 -- Jason Edgecombe <jason@rampaginggeek.com>  Sun, 16 Nov 2008 20:25:07 -0500

openafs (1.4.7-maemo3) unstable; urgency=low

  * Bugfix release - support for diablo and the maemo extras autobuilder

 -- Jason Edgecombe <jason@rampaginggeek.com>  Tue, 13 Jul 2008 20:25:07 -0500

openafs (1.4.7-2) unstable; urgency=low

  * Bugfix release - fix init script and missing /afs folder

 -- Jason Edgecombe <jason@rampaginggeek.com>  Tue, 13 May 2008 20:25:07 -0300
