=== debian/control ===
Source: openafs
Section: user/support
Priority: extra
Maintainer: Jason Edgecombe <jason@rampaginggeek.com>
Build-Depends: debhelper (>= 5), autotools-dev, krb5, kernel-source-diablo, libncurses5-dev
Standards-Version: 3.7.2

Package: openafs
Architecture: armel
Depends: krb5
Description: AFS distributed filesystem client support
